Get banking refund
GET /order/v1/banking/order-refunds/{id}
GET
/order/v1/banking/order-refunds/{id}
Retrieve the current status of a banking refund by its id.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Identifier of the refund
Responses
Section titled “ Responses ”object
id
required
Refund identifier
string
Example
c1c4c0b1-3bb8-4b1c-9e47-3f4a6f3a1b2c externalId
required
External identifier
string
Example
refund-123 status
required
Status of the refund
string
Example
PROCESSING errorMessages
Error messages when refund cannot proceed
Array<string>
Example
[ "We were unable to complete your refund at this time"] endToEndId
required
EndToEnd identifier
string
Example
E12345678920240101120000abcd amount
required
Refund amount
object
currency
required
Currency code
string
Example
BRL value
required
Amount value as string
string
Example
10.00Example
{ "currency": "BRL", "value": "10.00"} paymentMethod
required
Payment method
string
Example
PIX createdAt
required
Creation datetime (ISO)
string
Example
2024-01-01T12:00:00Z updatedAt
Last update datetime (ISO)
string
Example
2024-01-01T12:05:00ZBad request
Forbidden
Not found
Internal error